DS_PUT_UNIQUE_NAMED_VALUE(3)

FUNCTION
ds_put_unique_named_value - Add a unique named value to a Karma general data structure.

SYNOPSIS
#include <karma_ds.h>

flag ds_put_unique_named_value

(packet_desc *pack_desc, char **packet, CONST char *name, unsigned int type, double value[2], flag update)

DESCRIPTION
Add a unique named value to a Karma general data structure.

pack_desc
    The packet descriptor to add the name to. This descriptor will be modified.

packet
    The pointer to the unique packet. Note that the existing packet data is copied to a new packet, and a pointer to this packet is written back here.

name
    The name of the element.

type
    The type of the data which is to be written.

value
    The value of the data.

update
    If TRUE, then the routine will allow an existing named value to be updated, otherwise the routine will fail if an update (rather than a create) is attempted. The <<type>> parameter is ignored for updates (i.e. you can't change the type).

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/